All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class OLAPLevelMemberTreeModel

    com.sas.dataselectors.filters.OLAPLevelMemberTreeModel

All Implemented Interfaces:
  FilterValuesInterface, OLAPMemberTreePathFactoryInterface, java.io.Serializable, javax.swing.tree.TreeModel

    public class OLAPLevelMemberTreeModel

This class extends the OLAPMemberTreeModel only to give specific behavior to the construction of the tree model. In this class, the member tree is constructed from the bottom up. The end leaf values are first derived from the DataItem and then their paths to the root are constructed and filled in.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.dataselectors.filters.OLAPMemberTreeModel
`_itemValues, _itemValuesIterator, _label, _metadata, RB_KEY`

Fields inherited from interface com.sas.dataselectors.filters.FilterValuesInterface
`GETTHRESHHOLDALLVALUES`

Constructor Summary
`OLAPLevelMemberTreeModel(com.sas.iquery.metadata.business.DataItem dataItem, MetadataInterface metadata)` Constructs a new tree model from the given DataItem and using the specified Metadata object.

Method Summary

Methods inherited from class com.sas.dataselectors.filters.OLAPMemberTreeModel
`getFirstValues, getListLabel, getMemberArrayForPathNodeList, getMetadata, getNextValues, getTreePathNodeList, getTreePathNodeList, getTreePathNodeList, getTreePathNodeList, getTreePathNodeList, getTreePathNodeList, getTreePathNodeList, hasMoreValues, setListLabel, setMetadata, setRoot, toString`

Constructor Detail

### OLAPLevelMemberTreeModel

    public OLAPLevelMemberTreeModel(com.sas.iquery.metadata.business.DataItem dataItem,
                                    MetadataInterface metadata)
                             throws com.sas.iquery.metadata.MetadataException

  Constructs a new tree model from the given DataItem and using the specified Metadata object. This tree model will be derived from the bottom up instead of the usual top down approach.

  Parameters:
    `dataItem` - the DataItem this tree should represent members for
    `metadata` - the MetadataInterface object used to get member values for the model
  Throws:
    `com.sas.iquery.metadata.MetadataException` - if any problems occur communicating to the metadata server

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.